# Labeling text using Doccano

Doccano is an open source text annotation tool. It can be used to create labeled datasets for:

- Text classification
- Entity extraction
- Sequence to sequence translation

Doccano can be used to create labeled data for training the `EntityRecongnizer` model in `arcgis.learn`.

This software is created by: Hiroki Nakayama and Takahiro Kubo and Junya Kamura and Yasufumi Taniguchi and Xu Liang

## How to label training data for named entity recognition with doccano

1. After Doccano has been deployed to the local machine, go to Doccano hompage and login with your credentials.
![login](doccano/login.png)
2. Select appropriate project type
![project](doccano/project.png)
3. Click on 'Start annotation' from the top menu bar.
![start-annotation](doccano/annotator-start.PNG)
4. Analyze the document (use the bottom navigation bar for shifting through the docs). Mark sequences with your mouse and select the relevant title.
![labelling](doccano/labelling.PNG)
5. New labels can also be created by navigating to ‘Labels’ from the left panel.
